Part Cylinder: Difference between revisions

From FreeCAD Documentation
(better wording for more clarity)
(typo)
 
(53 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:13-->
<!--T:13-->
{{Docnav
{{Docnav
|[[Part_Box|Box]]
|[[Part_Box|Box]]
|[[Part_Sphere|Sphere]]
|[[Part_Sphere|Sphere]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Box.svg
|IconL=Part_Box.svg
|IconR=Part_Sphere.svg
|IconR=Part_Sphere.svg
Line 15: Line 16:
|Name=Part Cylinder
|Name=Part Cylinder
|MenuLocation=Part → Primitives → Cylinder
|MenuLocation=Part → Primitives → Cylinder
|Workbenches=[[Part_Module|Part]]
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}
}}


== Description == <!--T:9-->
==Description== <!--T:21-->

Creates a simple parametric cylinder, with position, angle, radius and height parameters.
<!--T:9-->
The [[Image:Part_Cylinder.svg|24px]] '''Part Cylinder''' command creates a parametric cylinder solid. It is the result of extruding a circular arc along a straight path. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the cylinder lies on the XY plane with its center at the origin.

<!--T:25-->
A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.

</translate>
[[Image:Part_Cylinder_Example.png|400px]]
<translate>


==Usage== <!--T:10-->
==Usage== <!--T:10-->


<!--T:17-->
<!--T:17-->
# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Cylinder.svg|16px]] Cylinder}} button in the toolbar.
#* Press the {{Button|[[Image:Part_Cylinder.svg|16px]] [[Part_Cylinder|Part Cylinder]]}} button.
#* Select {{MenuCommand|Part → Primitives → [[Image:Part_Cylinder.svg|16px]] Cylinder}} entry from the top menu
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Cylinder.svg|16px]] Cylinder}} option from the menu.
# The cylinder is created.
# Optionally change the dimensions and {{PropertyData|Placement}} of the cylinder by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


<!--T:18-->
== Example == <!--T:26-->
'''Result:''' The default result is a full cylinder with a radius of 2 mm and height of 10 mm, centered along the global z-axis and attached to the global xy-plane.


<!--T:27-->
The cylinder properties can later be edited, either in the property editor or by double-clicking on the cylinder in the model tree.
[[Image:Part_Cylinder_Scripting_Example.png|thumb|Part Cylinder from the scripting example]]


<!--T:8-->
<!--T:28-->
A Part Cylinder object created with the [[#Scripting|scripting example]] below is shown here.
[[File:cylinder.png|650px|a cylinder created with the Cylinder tool]]

== Notes == <!--T:29-->

<!--T:30-->
* A Part Cylinder can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


== Properties == <!--T:11-->
== Properties == <!--T:11-->


<!--T:31-->
* {{PropertyData|Angle:}} This is the rotation angle that permits the creation of a portion of cylinder (it is set to 360° by default)
See also: [[Property_editor|Property editor]].
* {{PropertyData|Height:}} The height is the distance in the z-axis

* {{PropertyData|Radius:}} The radius defines a plane in x-y.
<!--T:32-->
* {{PropertyData|First Angle}}: angle in first direction. {{Version|0.20}}
A Part Cylinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* {{PropertyData|Second Angle}}: angle in second direction. {{Version|0.20}}

=== Data === <!--T:33-->

<!--T:34-->
{{TitleProperty|Attachment}}

<!--T:35-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

<!--T:36-->
{{TitleProperty|Cylinder}}

<!--T:20-->
* {{PropertyData|Radius|Length}}: The radius of the circular arc that defines the cylinder. The default is {{Value|2mm}}.
* {{PropertyData|Height|Length}}: The height of the cylinder. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the cylinder. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cylinder.

<!--T:37-->
{{TitleProperty|Prism}}

<!--T:38-->
* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}

== Scripting == <!--T:22-->

<!--T:39-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:23-->
A Part Cylinder can be created with the {{Incode|addObject()}} method of the document:

</translate>
{{Code|code=
cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
}}
<translate>

<!--T:24-->
* Where {{Incode|"myCylinder"}} is the name for the object.
* The function returns the newly created object.

<!--T:40-->
Example:

</translate>
{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()
}}
<translate>



<!--T:14-->
<!--T:14-->
Line 50: Line 133:
|[[Part_Box|Box]]
|[[Part_Box|Box]]
|[[Part_Sphere|Sphere]]
|[[Part_Sphere|Sphere]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Box.svg
|IconL=Part_Box.svg
|IconR=Part_Sphere.svg
|IconR=Part_Sphere.svg
Line 57: Line 140:


</translate>
</translate>
{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:54, 4 March 2022

Part Cylinder

Menu location
Part → Primitives → Cylinder
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Cylinder command creates a parametric cylinder solid. It is the result of extruding a circular arc along a straight path. In the coordinate system defined by its DataPlacement property, the bottom face of the cylinder lies on the XY plane with its center at the origin.

A Part Cylinder can be turned into a segment of a cylinder by changing its DataAngle property.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Cylinder button.
    • Select the Part → Primitives → Cylinder option from the menu.
  2. The cylinder is created.
  3. Optionally change the dimensions and DataPlacement of the cylinder by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DataPlacement with the Std TransformManip command.

Example

Part Cylinder from the scripting example

A Part Cylinder object created with the scripting example below is shown here.

Notes

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • DataRadius (Length): The radius of the circular arc that defines the cylinder. The default is 2mm.
  • DataHeight (Length): The height of the cylinder. The default is 10mm.
  • DataAngle (Angle): The angle of the circular arc that defines the cylinder. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cylinder.

Prism

  • DataFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • DataSecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cylinder can be created with the addObject() method of the document:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()